Name:           python-jina
Version:        3.34.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Multimodal AI services & pipelines with cloud-native stack: gRPC, Kubernetes, Docker, OpenTelemetry, Prometheus, Jaeger, etc.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/jina-ai/jina/
Source:         %{pypi_source jina}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'jina' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-jina
Summary:        %{summary}

%description -n python3-jina %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-jina aiofiles,aiohttp,all,black,bs4,cicd,core,coverage,devel,docarray,docker,fastapi,filelock,flaky,grpcio,grpcio-health-checking,grpcio-reflection,jcloud,jina-hubble-sdk,jsonschema,kubernetes,mock,numpy,opentelemetry-api,opentelemetry-exporter-otlp,opentelemetry-exporter-otlp-proto-grpc,opentelemetry-exporter-prometheus,opentelemetry-instrumentation-aiohttp-client,opentelemetry-instrumentation-fastapi,opentelemetry-instrumentation-grpc,opentelemetry-sdk,opentelemetry-test-utils,packaging,pathspec,perf,pillow,portforward,prometheus-api-client,prometheus-client,protobuf,psutil,pydantic,pytest,pytest-asyncio,pytest-cov,pytest-custom-exit-code,pytest-kind,pytest-lazy-fixture,pytest-mock,pytest-repeat,pytest-reraise,pytest-timeout,python-multipart,pyyaml,requests,requests-mock,scipy,sgqlc,standard,standrad,strawberry-graphql,tensorflow,test,torch,urllib3,uvicorn,uvloop,watchfiles,websockets


%prep
%autosetup -p1 -n jina-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x aiofiles,aiohttp,all,black,bs4,cicd,core,coverage,devel,docarray,docker,fastapi,filelock,flaky,grpcio,grpcio-health-checking,grpcio-reflection,jcloud,jina-hubble-sdk,jsonschema,kubernetes,mock,numpy,opentelemetry-api,opentelemetry-exporter-otlp,opentelemetry-exporter-otlp-proto-grpc,opentelemetry-exporter-prometheus,opentelemetry-instrumentation-aiohttp-client,opentelemetry-instrumentation-fastapi,opentelemetry-instrumentation-grpc,opentelemetry-sdk,opentelemetry-test-utils,packaging,pathspec,perf,pillow,portforward,prometheus-api-client,prometheus-client,protobuf,psutil,pydantic,pytest,pytest-asyncio,pytest-cov,pytest-custom-exit-code,pytest-kind,pytest-lazy-fixture,pytest-mock,pytest-repeat,pytest-reraise,pytest-timeout,python-multipart,pyyaml,requests,requests-mock,scipy,sgqlc,standard,standrad,strawberry-graphql,tensorflow,test,torch,urllib3,uvicorn,uvloop,watchfiles,websockets


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-jina -f %{pyproject_files}


%changelog
%autochangelog